Bug 478280 - complex filters get unecessarily complex when converted in FilterBuilder
complex filters get unecessarily complex when converted in FilterBuilder
Status: ON_QA
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:14 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:14:05 EST
In the master branch in git at the moment a complex filter get's incorrectly converted. For example the filter '(&(uid=kouk)(givenName=Konstantinos))' will become '(&(uid=kouk)(&(uid=kouk)(givenName=Konstantinos)))'. In this case there is no error because the filters are logically equivalent. But this might not always be the case. The attached patch fixes this behaviour.

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '0002-recalculate-variables-when-converting-complex-filter.patch',
          'reporter' => 'kouk',
          'key' => 'PENROSE-315',
          'assignee' => 'jimyang',
          'summary' => 'complex filters get unecessarily complex when converted in FilterBuilder',
          'id' => '11042',
          'updated' => '2008-08-25 10:43:43.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [],
          'description' => 'In the master branch in git at the moment a complex filter get's incorrectly converted. For example the filter '(&(uid=kouk)(givenName=Konstantinos))' will become '(&(uid=kouk)(&(uid=kouk)(givenName=Konstantinos)))'. In this case there is no error because the filters are logically equivalent. But this might not always be the case. The attached patch fixes this behaviour.',
          'created' => '2008-08-25 10:43:17.0',
          'type' => '1'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-02-05 13:08:18 EST
Might be related to https://bugzilla.redhat.com/show_bug.cgi?id=478255.
Comment 2 Endi Sukma Dewata 2009-02-23 19:30:15 EST
We need the configuration files and the query that was sent to the server.

Note You need to log in before you can comment on or make changes to this bug.